from odoo import models

class AccountMove(models.Model):
    _inherit = 'account.move'

    def action_print_pdf(self):
        # Example: Call custom report for customer invoices only
        if self.move_type == 'out_invoice':  # You can change the condition
            return self.env.ref('sdm_tax_invoice_report.action_report_invoice').report_action(self)

        #  Fallback to the original behavior for other types (like bills or credit notes)
        return super().action_print_pdf()